> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.doctorassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create consultation in a single step

> <Warning>
When using this endpoint, the response time may be longer, as the audio is processed in a single step.
</Warning>

Creates a new medical consultation with the audio in a single step, without the need to send chunks separately.




## OpenAPI

````yaml docs/en/openapi.yaml post /consultations
openapi: 3.1.0
info:
  title: DAAI - APIS
  version: 1.0.0
servers:
  - url: https://apim.doctorassistant.ai/api/sandbox
security:
  - ApiKeyAuth: []
tags:
  - name: Consultations
  - name: Exams
  - name: Summaries
paths:
  /consultations:
    post:
      tags:
        - Consultations
      summary: Create consultation in a single step
      description: >
        <Warning>

        When using this endpoint, the response time may be longer, as the audio
        is processed in a single step.

        </Warning>


        Creates a new medical consultation with the audio in a single step,
        without the need to send chunks separately.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                recording:
                  type: string
                  format: binary
                  description: Consultation audio file
                specialty:
                  type: string
                  description: >-
                    Consultation specialty. If not provided, will be considered
                    as 'generic'
                  default: generic
                  example: generic
                notes:
                  type: string
                  description: Additional notes
                  example: ''
                reason:
                  type: string
                  description: Consultation reason
                  example: ''
                professionalId:
                  type: string
                  description: Professional ID
                  example: '123456'
                metadata:
                  type: object
                  description: Additional consultation metadata
                  example:
                    patient_id: '123456'
                    attendance_id: '123456'
              required:
                - recording
                - professionalId
      responses:
        '201':
          description: Consultation created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Consultation ID
                    example: s0q0ud3fi1d9kcwjrt8vs50n
                  transcription:
                    type: string
                    description: Consultation transcription
                    example: ''
                  recording:
                    type: object
                    description: Recording information
                    example: {}
                  report:
                    type: object
                    description: Consultation report
                    properties:
                      specialty:
                        type: string
                        description: Consultation specialty
                        example: generic
                      content:
                        type: object
                        description: Report content
                        example: {}
                  metadata:
                    type: object
                    description: Consultation metadata
                    example: {}
                required:
                  - id
                  - transcription
                  - recording
                  - report
                  - metadata
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
                  statusCode:
                    type: integer
                    example: 401
                required:
                  - message
                  - statusCode
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: array
                    description: List of validation error messages
                    items:
                      type: string
                    example:
                      - recording is required
                  error:
                    type: string
                    description: Error type
                    example: Unprocessable Entity
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 422
                required:
                  - message
                  - error
                  - statusCode
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-daai-api-key
      description: API key for authentication

````